const { mix } = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix
  	.copy('resources/assets/flatlab/assets','public/assets', false)
    .copy('./resources/assets/flatlab/fonts','./public/fonts')
    .copy('./resources/assets/flatlab/img','./public/img',false)
  	.copy('./resources/assets/flatlab/js','./public/js', false)
    .styles([
      './resources/assets/flatlab/css/style.css',
      './resources/assets/flatlab/css/style-responsive.css'
    ], 'public/css/styles.css').version()
    .styles([
    	'resources/assets/flatlab/css/bootstrap.min.css',
    	'resources/assets/flatlab/css/bootstrap-reset.css',
    	'resources/assets/flatlab/assets/font-awesome/css/font-awesome.css',
    	'resources/assets/flatlab/css/slidebars.css',
    ], 'public/css/boot.css').version()
    .scripts([
      'resources/assets/flatlab/js/jquery.js',
      'resources/assets/flatlab/js/bootstrap.min.js',
      'resources/assets/flatlab/js/jquery.dcjqaccordion.2.7.js',
      'resources/assets/flatlab/js/jquery.scrollTo.min.js',
      'resources/assets/flatlab/js/slidebars.min.js',
      'resources/assets/flatlab/js/jquery.nicescroll.js',
      'resources/assets/flatlab/js/respond.min.js'
    ], 'public/js/boot.js')
     .scripts([
      'resources/assets/flatlab/js/common-scripts.js'
    ], 'public/js/scripts.js');
 